Merge pull request #2317 from sammj/pb-bump

petitboot: Update to v1.9.1
diff --git a/ci/build-all-defconfigs.sh b/ci/build-all-defconfigs.sh
index 92db788..839d30a 100755
--- a/ci/build-all-defconfigs.sh
+++ b/ci/build-all-defconfigs.sh
@@ -3,22 +3,48 @@
 set -ex
 set -eo pipefail
 
+BUILD_INFO=0
 CONFIGTAG="_defconfig"
 
 DEFCONFIGS=();
 
-if [ -z "$2" ]; then
+while getopts "o:p:r" opt; do
+  case $opt in
+    o)
+      echo "Output directory: $OPTARG"
+      OUTDIR="$OPTARG"
+      ;;
+    p)
+      echo "Platforms to build: $OPTARG"
+      PLATFORM_LIST="$OPTARG"
+      ;;
+    r)
+      echo "Build legal-info for release"
+      BUILD_INFO=1
+      ;;
+    \?)
+      echo "Invalid option: -$OPTARG"
+      exit 1
+      ;;
+    :)
+      echo "Option -$OPTARG requires an argument."
+      exit 1
+      ;;
+  esac
+done
+
+if [ -z "${PLATFORM_LIST}" ]; then
         echo "Using all the defconfigs for all the platforms"
         DEFCONFIGS=`(cd openpower/configs; ls -1 *_defconfig)`
 else
         IFS=', '
-        for p in $2;
+        for p in ${PLATFORM_LIST};
         do
                 DEFCONFIGS+=($p$CONFIGTAG)
         done
 fi
 
-if [ -z "$1" or ! -d "$1" ]; then
+if [ -z "${OUTDIR}" or ! -d "${OUTDIR}" ]; then
 	echo "No output directory specified"
 	exit 1;
 fi
@@ -36,6 +62,7 @@
 fi
 
 for i in ${DEFCONFIGS[@]}; do
+        rm -rf output/*
         op-build $i
         echo 'BR2_CCACHE=y' >> output/.config
         echo "BR2_CCACHE_DIR=\"$CCACHE_DIR\"" >> output/.config
@@ -44,11 +71,16 @@
         op-build olddefconfig
         op-build
         r=$?
-        mkdir $1/$i-images
-        mv output/images/* $1/$i-images/
-        mv output/.config $1/$i-images/.config
-	lsb_release -a > $1/$i-images/lsb_release
-        rm -rf output/*
+
+        if [ ${BUILD_INFO} = 1 ] && [ $r = 0 ]; then
+                op-build legal-info
+                mv output/legal-info ${OUTDIR}/$i-legal-info
+        fi
+
+        mkdir ${OUTDIR}/$i-images
+        mv output/images/* ${OUTDIR}/$i-images/
+        mv output/.config ${OUTDIR}/$i-images/.config
+        lsb_release -a > ${OUTDIR}/$i-images/lsb_release
         if [ $r -ne 0 ]; then
         	exit $r
         fi
diff --git a/ci/build.sh b/ci/build.sh
index 4291414..b313291 100755
--- a/ci/build.sh
+++ b/ci/build.sh
@@ -2,7 +2,7 @@
 
 CONTAINERS="ubuntu1604 fedora27"
 
-while getopts ":ab:hp:c:" opt; do
+while getopts ":ab:hp:c:r" opt; do
   case $opt in
     a)
       echo "Build firmware images for all the platforms"
@@ -32,6 +32,10 @@
       echo -e "\tDOCKER_PREFIX=sudo ./ci/build.sh -p garrison,palmetto,openpower_p9_mambo"
       exit 1
       ;;
+    r)
+      echo "Build for release"
+      release_args="-r"
+      ;;
     \?)
       echo "Invalid option: -$OPTARG"
       exit 1
@@ -107,7 +111,7 @@
 )
 	$DOCKER_PREFIX docker build --network=host -t openpower/op-build-$distro - <<< "${Dockerfile}"
 	mkdir -p output-images/$distro
-	run_docker openpower/op-build-$distro "./ci/build-all-defconfigs.sh output-images/$distro $PLATFORMS"
+	run_docker openpower/op-build-$distro "./ci/build-all-defconfigs.sh -o output-images/$distro -p $PLATFORMS ${release_args}"
 	if [ $? = 0 ]; then
 		mv *-images output-$distro/
 	else
diff --git a/openpower/package/hcode/Config.in b/openpower/package/hcode/Config.in
index 368be8e..2b63240 100644
--- a/openpower/package/hcode/Config.in
+++ b/openpower/package/hcode/Config.in
@@ -31,7 +31,7 @@
 
 config BR2_HCODE_VERSION
 	string
-	default "hw082718b.930" if BR2_HCODE_LATEST_VERSION
+	default "hw090518a.930" if BR2_HCODE_LATEST_VERSION
 	default BR2_HCODE_CUSTOM_VERSION_VALUE \
 		if BR2_HCODE_CUSTOM_VERSION
 
diff --git a/openpower/package/hostboot-binaries/Config.in b/openpower/package/hostboot-binaries/Config.in
index 587054e..3e4be2a 100644
--- a/openpower/package/hostboot-binaries/Config.in
+++ b/openpower/package/hostboot-binaries/Config.in
@@ -24,7 +24,7 @@
 
 config BR2_HOSTBOOT_BINARIES_VERSION
 	string
-	default "hw082818a.930" if BR2_HOSTBOOT_BINARIES_LATEST_VERSION
+	default "hw090518a.930" if BR2_HOSTBOOT_BINARIES_LATEST_VERSION
 	default BR2_HOSTBOOT_BINARIES_CUSTOM_VERSION_VALUE \
 		if BR2_HOSTBOOT_BINARIES_CUSTOM_VERSION
 
diff --git a/openpower/package/hostboot/Config.in b/openpower/package/hostboot/Config.in
index 7d80159..75eefd0 100644
--- a/openpower/package/hostboot/Config.in
+++ b/openpower/package/hostboot/Config.in
@@ -28,7 +28,7 @@
 
 config BR2_HOSTBOOT_VERSION
 	string
-	default "8cb89b7faae91267ba9c1c03531a26882f2a59e0" if BR2_HOSTBOOT_LATEST_VERSION
+	default "f629523b932bd6096460f845446e2ebb3c76908d" if BR2_HOSTBOOT_LATEST_VERSION
         default "876b79aacd9b14f4c3561e954daa0285747c9662" if BR2_HOSTBOOT_STABLE_VERSION
 	default BR2_HOSTBOOT_CUSTOM_VERSION_VALUE \
 		if BR2_HOSTBOOT_CUSTOM_VERSION